Package org.eclipse.cdt.core.parser.util

# Class HashTable

java.lang.Object
org.eclipse.cdt.core.parser.util.HashTable

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `CharTable`, `ObjectTable`

public class HashTable extends Object implements Cloneable

Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`currEntry`
`protected int[]`
`hashTable`
`protected static final int`
`minHashSize`
Deprecated.
Don't depend on this implementation detail.
`protected int[]`
`nextTable`

## Constructor Summary

Constructors
Constructor
Description
`HashTable(int initialSize)`

## Method Summary

Modifier and Type
Method
Description
`final int`
`capacity()`
`void`
`clear()`
`Object`
`clone()`
`int`
`countCollisions()`
Returns the number of collisions.
`void`
`dumpNexts()`
For debugging only.
`protected int`
`hash(int pos)`
`boolean`
`isEmpty()`
`protected final void`
`linkIntoHashTable(int i, int hash)`
`protected int`
`partition(Comparator<Object> c, int p, int r)`
`protected void`
`rehash()`
`protected void`
`removeEntry(int i, int hash)`
`protected void`
`resize()`
`protected void`
`resize(int size)`
`final int`
`size()`
`final void`
`sort(Comparator<Object> c)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### minHashSize

@Deprecated protected static final int minHashSize
Deprecated.
Don't depend on this implementation detail. @noreference This field is not intended to be referenced by clients.

See Also:
  - Constant Field Values

### currEntry

protected int currEntry

### hashTable

protected int[] hashTable

### nextTable

protected int[] nextTable

## Constructor Details

### HashTable

public HashTable(int initialSize)

## Method Details

### isEmpty

public boolean isEmpty()

### size

public final int size()

### clone

public Object clone()

Overrides:
  `clone` in class `Object`

### resize

protected void resize()

### clear

public void clear()

### rehash

protected void rehash()

### resize

protected void resize(int size)

### hash

protected int hash(int pos)

### linkIntoHashTable

protected final void linkIntoHashTable(int i, int hash)

### capacity

public final int capacity()

### removeEntry

protected void removeEntry(int i, int hash)

### sort

public final void sort(Comparator<Object> c)

### partition

protected int partition(Comparator<Object> c, int p, int r)

### dumpNexts

public void dumpNexts()
For debugging only.

Restriction:
  This method is not intended to be referenced by clients.

### countCollisions

public int countCollisions()
Returns the number of collisions. For debugging only.

Restriction:
  This method is not intended to be referenced by clients.